/*  RefSeq.h                                               */
/*  Reference sequence managment.                          */
/*  P. Tuffery, INSEMR U436, France                        */


#ifndef __RefSeq_h__
#define __RefSeq_h__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <ctype.h>

#include "global.h"
#include "tree.h"
#include "pevolve.h"
#include "pmodels.h"
#include "random.h"
#include "CSFuncs.h"
#include "Rates.h"
#include "TreeUtils.h"  


extern void inputRefNames(TTree *tree, char *fname, FILE *flis);
extern void inputPAMLRefNames(TTree *tree, char *fname, FILE *flis);
extern void InputRefSequences(char *fname, TTree *tree);
extern void InputPAMLRefSequences(char *fname, TTree *tree);
extern void WriteSequences(FILE *fv, TTree *tree, int OutNode);
extern void WriteRefSequences(char *fname, TTree *tree, int OutNode);
extern void SetBranchLenFromRefSeq(TTree *tree, TNode *node, int whichSeq, int mode);
extern void RefSeqUse(TTree *tree, char *iRefSeqFileName, int whichTpe, int noGapMask, int obsRates, int obsBLen, double *gRefTLen);

#endif
