/*  Header file for treefile.c                         */

/*  (c) Copyright 1996, Andrew Rambaut                 */
/*  Department of Zoology, University of Oxford        */

#ifndef _TREEFILE_H_
#define _TREEFILE_H_

/* This contains the structures, TTree and TNode which */
/* can be edited to add more elements                  */
#include "tree.h"

extern TTree *NewTree();
extern void DisposeTree(TTree *tree);
extern void FreeTree(TTree *tree);
extern void WriteAvailInfo();

extern int CountTrees(FILE *fv);
extern void ReadTree(FILE *fv, TTree *tree, int treeNum);
extern int IsTreeAvail(FILE *fv);
extern void WriteTree(FILE *fv, TTree *tree);

extern void UnrootRTree(TTree *tree);
extern void RerootUTree(TTree *tree, int tip);
extern void RootUTree(TTree *tree, TNode *node1, TNode *node2, double pos);
extern void RerootRTree(TTree *tree, TNode *node1, TNode *node2, double pos);
extern int inqBranchNumber(TTree *tree, TNode *node);

#endif /* _TREEFILE_H_ */

